@prefix ex: <http://example.org/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix ottr: <http://ns.ottr.xyz/0.4/> .

ex:DeviceInstance[owl:NamedIndividual ?deviceInstance, owl:Class ?device, NEList<owl:NamedIndividual> ?components] :: {
	ottr:Triple(?deviceInstance, rdf:type, ?device),
	cross | ottr:Triple(?deviceInstance, ex:hasComponent, ++?components)
}.